Subject: Re: bug#10374: 3 test failures on fedora 16

From: Stefano Lattarini <[email-masked]>
Date: Tue, 27 Dec 2011 18:22:22 +0100

On 12/27/2011 06:18 PM, Stefano Lattarini wrote:
>
> On 12/27/2011 03:55 PM, Jim Meyering wrote:
>>
>> General note:  This comment appears in three places.
>> IMHO, that feels like too many.
>>
> I don't agree.
>
[SNIP]

Ouch, now I see your point!  You were referring to the copy of the comment
in `tap-no-spurious.test', not in the ChangeLog entry!  *facepalm*

Then I think you're right.  What about this squash-in?

  diff --git a/tests/tap-no-spurious.test b/tests/tap-no-spurious.test
  index bb64d2e..c2d5bc5 100755
  --- a/tests/tap-no-spurious.test
  +++ b/tests/tap-no-spurious.test
  @@ -84,10 +84,8 @@ set -x # Reset shell xtraces.

   # The prove(1) utility doesn't bail out on these, so our driver
   # shouldn't either.
  -# Note that older versions of prove and TAP::Harness (e.g., 3.17) didn't
  -# recognize a "Bail out!" directive is preceded by white space, but more
  -# modern versions (e.g., 3.23) do.  So we leave that behaviour undefined
  -# here; it is checked in `tap-bailout-leading-space.test'.
  +# See comments in `tap-bailout-leading-space.test' for an explanation
  +# of why we don't have a whitespace-prepended "Bail out!" line here.
   cat >> all.test <<'END'
   bailout
   bailout!

Thanks, and sorry for the noise,
  Stefano